Index: trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 8937)
+++ trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 8944)
@@ -689,5 +689,5 @@
       //case CODETYPEGPS_L1_Y:          return "1Y";
       //case CODETYPEGPS_L1_M:          return "1M";
-      //case CODETYPEGPS_SEMI_CODELESS: return "2D";
+      case CODETYPEGPS_SEMI_CODELESS: return "2D";
       case CODETYPEGPS_L2_CA:         return "2C";
       case CODETYPEGPS_L2_P:          return "2P";
@@ -757,7 +757,17 @@
     }
   }
-  else if (system == 'J') {
+   else if (system == 'J') {
     switch (type) {
       case CODETYPEQZSS_L1_CA:         return "1C";
+      case CODETYPEQZSS_L1C_D:         return "1S";
+      case CODETYPEQZSS_L1C_P:         return "1L";
+
+      case CODETYPEQZSS_L2C_M:         return "2S";
+      case CODETYPEQZSS_L2C_L:         return "2L";
+      case CODETYPEQZSS_L2C_ML:        return "2X";
+
+      case CODETYPEQZSS_L5_I:          return "5I";
+      case CODETYPEQZSS_L5_Q:          return "5Q";
+      case CODETYPEQZSS_L5_IQ:         return "5X";
 
       case CODETYPEQZSS_L6_D:          return "6S";
@@ -765,15 +775,13 @@
       case CODETYPEQZSS_L6_DP:         return "6X";
 
-      case CODETYPEQZSS_L2C_M:         return "2S";
-      case CODETYPEQZSS_L2C_L:         return "2L";
-      case CODETYPEQZSS_L2C_ML:        return "2X";
-
-      case CODETYPEQZSS_L5_I:          return "5I";
-      case CODETYPEQZSS_L5_Q:          return "5Q";
-      case CODETYPEQZSS_L5_IQ:         return "5X";
-
-      case CODETYPEQZSS_L1C_D:         return "1S";
-      case CODETYPEQZSS_L1C_P:         return "1L";
       case CODETYPEQZSS_L1C_DP:        return "1X";
+      case CODETYPEQZSS_L1_S:          return "1Z";
+
+      case CODETYPEQZSS_L5_D:          return "5D";
+      case CODETYPEQZSS_L5_P:          return "5P";
+      case CODETYPEQZSS_L5_DP:         return "5Z";
+
+      case CODETYPEQZSS_L6_E:          return "6E";
+      case CODETYPEQZSS_L6_DE:         return "6Z";
       default: return "";
     }
@@ -794,16 +802,20 @@
       case CODETYPE_BDS_B1_Q:         return "2Q";
       case CODETYPE_BDS_B1_IQ:        return "2X";
+
       case CODETYPE_BDS_B3_I:         return "6I";
       case CODETYPE_BDS_B3_Q:         return "6Q";
       case CODETYPE_BDS_B3_IQ:        return "6X";
+
       case CODETYPE_BDS_B2_I:         return "7I";
       case CODETYPE_BDS_B2_Q:         return "7Q";
       case CODETYPE_BDS_B2_IQ:        return "7X";
+
+      case CODETYPE_BDS_B1a_D:        return "1D";
+      case CODETYPE_BDS_B1a_P:        return "1P";
+      case CODETYPE_BDS_B1a_DP:       return "1X";
+
       case CODETYPE_BDS_B2a_D:        return "5D";
       case CODETYPE_BDS_B2a_P:        return "5P";
       case CODETYPE_BDS_B2a_DP:       return "5X";
-      case CODETYPE_BDS_B1C_D:        return "1D";
-      case CODETYPE_BDS_B1C_P:        return "1P";
-      case CODETYPE_BDS_B1C_DP:       return "1X";
       default: return "";
     }
Index: trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h
===================================================================
--- trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h	(revision 8937)
+++ trunk/BNC/src/RTCM3/clock_and_orbit/clock_orbit_rtcm.h	(revision 8944)
@@ -147,5 +147,5 @@
   //CODETYPEGPS_L1_M           = 4,
   CODETYPEGPS_L2_CA          = 5,
-  //CODETYPEGPS_SEMI_CODELESS  = 6,
+  CODETYPEGPS_SEMI_CODELESS  = 6,
   CODETYPEGPS_L2C_M          = 7,
   CODETYPEGPS_L2C_L          = 8,
@@ -209,5 +209,5 @@
   CODETYPEQZSS_L6_P          = 10,
   CODETYPEQZSS_L6_DP         = 11,
-  CODETYPEQZSS_L1C_DP        = 12,/*
+  CODETYPEQZSS_L1C_DP        = 12,
   CODETYPEQZSS_L1_S          = 13,
   CODETYPEQZSS_L5_D          = 14,
@@ -215,5 +215,5 @@
   CODETYPEQZSS_L5_DP         = 16,
   CODETYPEQZSS_L6_E          = 17,
-  CODETYPEQZSS_L6_DE         = 18,*/
+  CODETYPEQZSS_L6_DE         = 18,
 
   CODETYPE_SBAS_L1_CA        = 0,
@@ -231,10 +231,10 @@
   CODETYPE_BDS_B2_Q          = 7,
   CODETYPE_BDS_B2_IQ         = 8,
-  CODETYPE_BDS_B2a_D         = 9,
-  CODETYPE_BDS_B2a_P         = 10,
-  CODETYPE_BDS_B2a_DP        = 11,
-  CODETYPE_BDS_B1C_D         = 12,
-  CODETYPE_BDS_B1C_P         = 13,
-  CODETYPE_BDS_B1C_DP        = 14,
+  CODETYPE_BDS_B1a_D         = 9,
+  CODETYPE_BDS_B1a_P         = 10,
+  CODETYPE_BDS_B1a_DP        = 11,
+  CODETYPE_BDS_B2a_D         = 12,
+  CODETYPE_BDS_B2a_P         = 13,
+  CODETYPE_BDS_B2a_DP        = 14,
 
   CODETYPE_IRNSS_S_SPS       = 8,
